Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.sample.dfsort
Class DfSortArguments

    java.lang.Object
      com.ibm.jzos.sample.dfsort.DfSortArguments

    public class DfSortArguments

extends java.lang.Object

Helper class for parsing key=value pair arguments into a usable form for the DFSORT sample programs.

An instance of DfSortArguments is constructed with the String[] arguments in the form , as provided to one of the DFSORT sample classes in this package. It will parse and provide accessors the following information:

- `DsInfo getSortinDataset()` from: "sortin=dsn"
- `DsInfo getSortoutDataset()` from: "sortout=dsn"
- `boolean isSameAddressSpace()` from: "shareas=yes/no"
- `String getEncoding()` from: encoding=value
- `String getLrecl()` from: lrecl=nnn
- `String getNumrecs()` from: numrecs=mmm

Constructor Summary
`DfSortArguments(java.lang.String[] args)` Construct and parse a list of arguments as described by the class description.

Method Summary
`java.lang.String` | `getEncoding()` Answer an encoding name for encoding/decoding logical records.
`int` | `getLrecl()` Answer the LRECL used for the sample
`int` | `getNumrecs()` Answer the number of records to be used/generated by the sample
`DsInfo` | `getSortinDataset()` Answer a description of the sortin dataset
`DsInfo` | `getSortoutDataset()` Answer a description of the sortout dataset
`boolean` | `isSameAddressSpace()` Answer true if DFSORT should be spawned in the same address space

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DfSortArguments

    public DfSortArguments(java.lang.String[] args)
                    throws ZFileException

  Construct and parse a list of arguments as described by the class description.

  Parameters:
    `args` - an array of key=value arguments
  Throws:
    `ZFileException` - if a dataset cannot be opened

Method Detail

### getSortinDataset

    public DsInfo getSortinDataset()

  Answer a description of the sortin dataset

  Returns:
    DsInfo

### getSortoutDataset

    public DsInfo getSortoutDataset()

  Answer a description of the sortout dataset

  Returns:
    DsInfo

### isSameAddressSpace

    public boolean isSameAddressSpace()

  Answer true if DFSORT should be spawned in the same address space

  Returns:
    boolean

### getEncoding

    public java.lang.String getEncoding()

  Answer an encoding name for encoding/decoding logical records.

  Returns:
    String

### getLrecl

    public int getLrecl()

  Answer the LRECL used for the sample

  Returns:
    int

### getNumrecs

    public int getNumrecs()

  Answer the number of records to be used/generated by the sample

  Returns:
    int

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD